Loading...
Searching...
No Matches
pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT > Class Template Reference

Octree pointcloud voxel centroid leaf node class More...

`#include <pcl/octree/octree_pointcloud_voxelcentroid.h>`

Inheritance diagram for pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >:

## Public Member Functions

| OctreePointCloudVoxelCentroidContainer ()
| Class initialization.
| ~OctreePointCloudVoxelCentroidContainer () override=default
| Empty class deconstructor.
virtual OctreePointCloudVoxelCentroidContainer * | deepCopy () const
| deep copy function
bool | operator== (const OctreeContainerBase &) const override
| Equal comparison operator - set to false.
void | addPoint (const PointT &new_point)
| Add new point to voxel.
void | getCentroid (PointT &centroid_arg) const
| Calculate centroid of voxel.
void | reset () override
| Reset leaf container.
Public Member Functions inherited from pcl::octree::OctreeContainerBase
virtual | ~OctreeContainerBase ()=default
bool | operator!= (const OctreeContainerBase &other) const
| Inequal comparison operator.
virtual uindex_t | getSize () const
| Pure abstract method to get size of container (number of indices).
virtual void | addPointIndex (index_t)
| Empty addPointIndex implementation.
void | getPointIndex (index_t &) const
| Empty getPointIndex implementation as this leaf node does not store any point indices.
virtual index_t | getPointIndex () const
| Empty getPointIndex implementation as this leaf node does not store any point indices.
virtual void | getPointIndices (Indices &) const
| Empty getPointIndices implementation as this leaf node does not store any data.

## Detailed Description

template<typename PointT>
class pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >

Octree pointcloud voxel centroid leaf node class

Note
  This class implements a leaf node that calculates the mean centroid of all points added this octree container.

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 52 of file octree_pointcloud_voxelcentroid.h.

## Constructor & Destructor Documentation

## OctreePointCloudVoxelCentroidContainer()

template<typename PointT>

pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >::OctreePointCloudVoxelCentroidContainer | ( |  | ) |

inline

Class initialization.

Definition at line 55 of file octree_pointcloud_voxelcentroid.h.

References reset().

Referenced by deepCopy(), and ~OctreePointCloudVoxelCentroidContainer().

## ~OctreePointCloudVoxelCentroidContainer()

template<typename PointT>

pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >::~OctreePointCloudVoxelCentroidContainer | ( |  | ) |

override default

Empty class deconstructor.

References OctreePointCloudVoxelCentroidContainer().

## Member Function Documentation

## addPoint()

template<typename PointT>

void pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >::addPoint | ( | const PointT & | new_point | ) |

inline

Add new point to voxel.

Parameters

  [in] | new_point | the new point to add

Definition at line 80 of file octree_pointcloud_voxelcentroid.h.

## deepCopy()

template<typename PointT>

virtual OctreePointCloudVoxelCentroidContainer * pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >::deepCopy | ( |  | ) | const

inline virtual

deep copy function

Definition at line 62 of file octree_pointcloud_voxelcentroid.h.

References OctreePointCloudVoxelCentroidContainer().

## getCentroid()

template<typename PointT>

void pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >::getCentroid | ( | PointT & | centroid_arg | ) | const

inline

Calculate centroid of voxel.

Parameters

  [out] | centroid_arg | the resultant centroid of the voxel

Definition at line 93 of file octree_pointcloud_voxelcentroid.h.

## operator==()

template<typename PointT>

bool pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >::operator== | ( | const OctreeContainerBase & |  | ) | const

inline override virtual

Equal comparison operator - set to false.

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 71 of file octree_pointcloud_voxelcentroid.h.

## reset()

template<typename PointT>

void pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >::reset | ( |  | ) |

inline override virtual

Reset leaf container.

Implements pcl::octree::OctreeContainerBase.

Definition at line 108 of file octree_pointcloud_voxelcentroid.h.

Referenced by OctreePointCloudVoxelCentroidContainer().

The documentation for this class was generated from the following file:

- pcl/octree/octree_pointcloud_voxelcentroid.h